Search found 210 matches

Search found 210 matches

Re: [VQMod] USPS API Update (Latest API Update)

In OC 2.1.0.1 Not sure what has happened to my USPS Shipping first I did not have First Class Mail Parcel so I uninstalled the mod. Then' Reinstalled now I have no USPS shipping choices If I go into the USPS settings all the check boxes are blank re checking them and clicking save it OC informs me ...

Jump to post
  • Sat Jul 09, 2016 5:35 am
  • Replies 285
  • Views 72941
Re: 2.2 event not triggering after protected method

An additional methodology I would recommend rather than putting any method from private / protected methods would be to propagate the Opencart registry into the __construct method instead. Then, from the library / engine file, simply callback your initialized class name and reuse it into your prefe...

Jump to post
  • Sat Jul 09, 2016 5:33 am
  • Replies 8
  • Views 1206
Re: 2.2 event not triggering after protected method

Input params for :before event and input params + return for :after events. So for any event I register that is triggered ::before the Method indicated, the input parameters are available, and additionally I can access the data returned by the Method for events that are triggered ::after the Method...

Jump to post
  • Sat Jul 09, 2016 5:27 am
  • Replies 8
  • Views 1206
Re: 2.2 event not triggering after protected method

Since its private then it is called from within the class so the callback method from loader isnt used (and that is where the model events get loaded). Maybe you could link it to the method calling the private one if its not called from within as well. As for the product_id, it is beeing returned b...

Jump to post
  • Wed Jul 06, 2016 8:16 am
  • Replies 8
  • Views 1206
Re: [VQMod] USPS API Update (Latest Update)

I had to disable this modification as it was breaking our international shipping using OC 2.1.0.2. Normally I have good success with this mod but for some reason it didn't like our version of OC. In the XML request, I'm seeing the "Revision" tag twice. That's where the error is coming from. I'll ne...

Jump to post
  • Wed Jul 06, 2016 8:11 am
  • Replies 23
  • Views 8340
2.2 event not triggering after protected method

Good day. I posted this in general support, but realized that this section may be more appropriate. I'm attempting to hook into a function using opencart's event system in order to include a class that automatically updates a product's image and description from a source on the internet. I've got it...

Jump to post
  • Fri Jul 01, 2016 9:56 pm
  • Replies 8
  • Views 1206
Hooking into protected function using 2.2x's Event System

Good day. I'm attempting to hook into a function using opencart's event system in order to include a class that automatically updates a product's image and description from a source on the internet. I've got it successfully firing after the addProduct method in the admin side, but can't seem to get ...

Jump to post
  • Fri Jul 01, 2016 2:53 pm
  • Replies 0
  • Views 305
Re: [VQMod] USPS API Update (Latest Update)

Looking at the tech documents (which were updated in April), <Revision> is a valid tag for the International Rate V2 API. Turn on debug mode, attempt to get an international quote, and then post the XML request and response from USPS. This may be a problem on their end.

Jump to post
  • Fri Jul 01, 2016 7:13 am
  • Replies 23
  • Views 8340
Re: [VQMod] USPS API Update (Latest Update)

Not at my desk so I can't find the exact line number for you, but if you'll look in the XML file in the section dealing with the usps.php file, you should see the <Revision> tag. You can comment that line out and see if that solves your issue. I'll check usps to be sure that they haven't updated the...

Jump to post
  • Fri Jul 01, 2016 7:05 am
  • Replies 23
  • Views 8340
Re: [VQMod] USPS API Update (Latest Update)

Using Opencart version 2.1.0.2 along with Journal theme. We are also using the most recent version of USPS API Update. Getting this error when using a Canada address. The element 'IntlRateV2Request' has invalid child element 'Revision'. List of possible elements expected: 'RateClientType, Package'....

Jump to post
  • Fri Jul 01, 2016 6:58 am
  • Replies 23
  • Views 8340
Re: [VQMod] USPS API Update (Latest API Update)

In the first post of this thread, there is a link to a modification that can be purchased to fix your problem. This is a support thread for that mod.

Jump to post
  • Mon Apr 25, 2016 10:09 am
  • Replies 285
  • Views 72941
Re: [VQMod] USPS API Update (Latest Update)

I have recently begun getting the following whenever someone chooses to use USPS in my Opencart 2.0.3.1 installation. OC error log: 2016-04-04 11:33:34 - USPS DATA SENT: API=RateV4&XML=<RateV4Request USERID="XXXXXXXX"> <Package ID="1"> <Service>ONLINE</Service> <ZipOrigination>18902</ZipOrigination...

Jump to post
  • Thu Apr 21, 2016 2:06 am
  • Replies 23
  • Views 8340
Re: [VQMod] USPS API Update (Latest API Update)

That change enabled USPS Retail Ground but disabled First-Class™ Package Service. Parcel Select Ground did not come up. I put it back the way it was to keep First-Class™ Package Service enabled, the most economical package rate. Thanks! After some conversations with USPS support, the short answer i...

Jump to post
  • Thu Apr 21, 2016 1:44 am
  • Replies 285
  • Views 72941
Re: [VQMod] USPS API Update (Latest API Update)

I'll look into Parcel Select, but the short answer on Retail Ground is that it's a retail price, so you can't get online pricing and retail ground pricing in a single request.

Jump to post
  • Fri Apr 15, 2016 8:20 am
  • Replies 285
  • Views 72941
Re: [VQMod] USPS API Update (Latest API Update)

Try changing the rates from ONLINE to ALL in the XML query. See if that helps.

Jump to post
  • Fri Apr 15, 2016 7:12 am
  • Replies 285
  • Views 72941
Re: [VQMod] USPS API Update (Latest API Update)

Debbie,

I've looked at it on my end and can't find any issue. Would you mind turning debug mode on and posting the response from USPS (It'll be in your Error Logs after a quote is made)? You can also post the query, but delete your username before you post it for your security.

Jump to post
  • Mon Mar 28, 2016 6:13 am
  • Replies 285
  • Views 72941
Re: [VQMod] USPS API Update (Latest API Update)

I suspect that the package size or weight disqualifies it from package select ground. That's usually the case. I'll look at the requirements and see if it's a bug on my end.

Jump to post
  • Mon Mar 21, 2016 4:45 am
  • Replies 285
  • Views 72941
Re: [VQMod] USPS API Update (Latest API Update)

First, make sure you're using the appropriate version for OC 1.5.5.1.

Second, MijoShop is a nonstandard implementation, and requires significant customization. I offer a fee based service for these types of things.

Jump to post
  • Mon Feb 01, 2016 11:04 pm
  • Replies 285
  • Views 72941
Re: [VQMod] USPS API Update (Latest API Update)

There was a bug in the 1.5.2-1.5.6.4 version of the latest release. I've corrected it and uploaded it in the extension store.

Thank you for the bug reports.

Jump to post
  • Tue Jan 19, 2016 6:21 am
  • Replies 285
  • Views 72941
Re: [VQMod] USPS API Update (Latest API Update)

Hello, I had previously had your 2013 API update and it was working properly on my website. I went ahead and downloaded your new Jan API update and made sure my USPS.php files were stock and removed the old XML file. At the moment I do not have anything listed in the shipping options, just blank wh...

Jump to post
  • Tue Jan 19, 2016 5:21 am
  • Replies 285
  • Views 72941

Search found 210 matches